Skip to content

Tenant associated identity source

This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If this document description is incorrect, please refer to V3 API.

Tenants can associate or disassociate identity source connections.

Method name

ManagementClient.change_ext_idp_conn_association_state

Request parameters

NameTypeRequiredDefault valueDescriptionSample value
associationbooleanyes-Whether to associate with identity source
idstringyes-Identity source connection ID60b49eb83fd80adb96f26e68
tenantIdstringno-Tenant ID60b49eb83fd80adb96f26e68

Request Response

Type: IsSuccessRespDto

NameTypeDescription
statusCodenumberBusiness status code, which can be used to determine whether the operation is successful. 200 means success.
messagestringDescription
apiCodenumberSegmented error code, which can be used to get the specific error type (successful request does not return). For a detailed list of error codes, see: API Code List
requestIdstringRequest ID. Returned when the request fails.
data<a IsSuccessDtoWhether the operation is successful

Sample result:

json
{
  "statusCode": 200,
  "message": "Success",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
  "data": {
    "success": true
  }
}

Data Structure

IsSuccessDto

NameTypeIs it requiredDescriptionExample value
successbooleanyesWhether the operation was successfultrue

Agent infrastructure for identity, memory, and web action.